Product
Product Parameters
GET /request
The Product Parameters are applicable when making a request with type=product to retrieve details of a single product on Home Depot - the product is specified using either the item_id parameter or the url parameter (where the url parameter contains a link to a Home Depot product page). The parameters should be appended as querystring parameters to the Home Improvement Product Data API GET HTTP request.
Product details are retrieved from the product page for a single product on Home Depot.

Lookup an ASIN by GTIN / ISBN / UPC / EAN Backyard API can automatically convert GTIN/ISBN/UPC codes to item_ids and return product data for that GTIN. For details of how to lookup Backyard product details by GTIN/ISBN/UPC/EAN please see refer to the guide.
Note that Backyard API will cache the GTIN-to-ASIN mapping for 2 months. To force a new GTIN lookup (for example, if you suspect the existing mapping is stale), use the skip_gtin_cache=true request parameter (note that using skip_gtin_cache=true decrements 2 credits from your balance, instead of 1).
For example, to request details a product with item_id=317061059 the request would be:
https://api.backyardapi.com/request?api_key=demo&enginge=homedepot&type=product&item_id=317061059Product Parameters
The following parameters are available for all requests made when type=product .
Parameter | Required | Description |
|---|---|---|
engine | required | The engine of Home Improvement data to retrieve, for example homedepot |
item_id | optional | The Home Improvement Item ID to retrieve product details for. |
gtin | optional | The GTIN/ISBN/UPC code to look up a matching product on Home Improvement for. If the gtin parameter is supplied then the item_id parameter is ignored. GTIN-based requests work by looking up the GTIN/ISBN/UPC on Home Improvement first, then retrieving the product details for the first matching item_id . |
url | optional | The Home Improvement product-page URL to retrieve product details from. Note : If the url parameter is supplied then the item_id and gtin parameters are ignored (the url overrides other parameters). |
include_html | optional | Determines whether raw HTML is included in the response (this can increase the size of the response). Can be set to true or false (the default). |
Next Steps Product Results